Skip to content
Skip to main content
GET
/v3/grants/{grant_id}/notetakers

Return all Notetakers

Returns a list of all Notetaker bots.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

Query parameters

join_time_startnumber

Filter for Notetaker bots that have join times that start at or after a specific time, in Unix timestamp format.

join_time_endnumber

Filter for Notetaker bots that have join times that end at or are before a specific time, in Unix timestamp format.

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
order_bystring

The field to order the Notetaker bots by.

namejoin_timecreated_at
Default: "created_at"
order_directionstring

The direction to order the Notetaker bots by.

ascdesc
Default: "asc"
statestring

Filter for Notetaker bots with the specified meeting state.

scheduledconnectingwaiting_for_entryfailed_entryattendingmedia_processingmedia_availablemedia_errormedia_deleted
page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the next_cursor response field. See Pagination for more information.

prev_page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the prev_cursor response field. See Pagination for more information.

Responses

request_idstring

The request ID.

dataarray<object>
next_cursorstringnull

A cursor pointing to the next page of results for the request.

prev_cursorstringnull

A cursor pointing to the previous page of results for the request.

Example: "CigKGjRlaDdyNGQydTFqbWJ0bGo5a2QxdWJtdDZnGAEggIDAu7fw7bEYGg8IABIAGPjh2PGEi_0CIAEiBCQR28w4="
GEThttps://api.us.nylas.com/v3/grants/nyla%40example.com/notetakers?limit=50&order_by=created_at&order_direction=asc

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.